aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/sanity
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2018-12-18 18:22:33 +0100
committerTristan Gingold <tgingold@free.fr>2018-12-18 18:22:33 +0100
commit9fd4c0216f7f576cfafad01e8842be40d3e1c475 (patch)
tree50b73c061135b53a21f36617f727e00fd2b03e43 /testsuite/sanity
parent193954f6a73cbb324c3d6225b3be758d3a5e708c (diff)
downloadghdl-9fd4c0216f7f576cfafad01e8842be40d3e1c475.tar.gz
ghdl-9fd4c0216f7f576cfafad01e8842be40d3e1c475.tar.bz2
ghdl-9fd4c0216f7f576cfafad01e8842be40d3e1c475.zip
sanity/005examples: do not try if python is not available.
Diffstat (limited to 'testsuite/sanity')
-rwxr-xr-xtestsuite/sanity/005examples/testsuite.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/testsuite/sanity/005examples/testsuite.sh b/testsuite/sanity/005examples/testsuite.sh
index 2cf61446f..452c8bef6 100755
--- a/testsuite/sanity/005examples/testsuite.sh
+++ b/testsuite/sanity/005examples/testsuite.sh
@@ -2,6 +2,12 @@
. ../../testenv.sh
+# Skip the test if python is not available.
+if ! python -V > /dev/null 2>&1; then
+ echo "test skipped, python not found"
+ exit 0
+fi
+
# Extract examples
python extract_vhdl.py hello.vhdl heartbeat.vhdl adder.vhdl adder_tb.vhdl < ../../../doc/using/QuickStartGuide.rst